### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
BlackScholesCalculator Class Reference

Black-Scholes 1973 calculator class. More...

`#include <ql/pricingengines/blackscholescalculator.hpp>`

Inheritance diagram for BlackScholesCalculator:
[legend]

List of all members.

## Public Member Functions

| BlackScholesCalculator (const boost::shared_ptr< StrikedTypePayoff > &payoff, Real spot, DiscountFactor growth, Real stdDev, DiscountFactor discount)
| BlackScholesCalculator (Option::Type optionType, Real strike, Real spot, DiscountFactor growth, Real stdDev, DiscountFactor discount)
Real | delta () const
Real | elasticity () const
Real | gamma () const
Real | theta (Time maturity) const
Real | thetaPerDay (Time maturity) const

## Protected Attributes

Real | spot_
DiscountFactor | growth_

## Detailed Description

Black-Scholes 1973 calculator class.

## Member Function Documentation

Real delta | ( |  | ) | const

Sensitivity to change in the underlying spot price.

Real elasticity | ( |  | ) | const

Sensitivity in percent to a percent change in the underlying spot price.

Real gamma | ( |  | ) | const

Second order derivative with respect to change in the underlying spot price.

Real theta | ( | Time | maturity | ) | const

Sensitivity to time to maturity.

Real thetaPerDay | ( | Time | maturity | ) | const

Sensitivity to time to maturity per day (assuming 365 day in a year).